com.google.gwt.user.tools.util

## Class CreatorUtilities

- java.lang.Object
- - com.google.gwt.user.tools.util.CreatorUtilities

    public class CreatorUtilities
    extends java.lang.Object

Utility methods used by ApplicationCreator.

### Constructor Summary

Constructors
Constructor and Description
`CreatorUtilities()`

### Method Summary

All Methods Static Methods Concrete Methods
`static java.lang.String` `appendPaths(java.lang.String delimiter, java.util.List<java.lang.String> paths)` Create a PATH style string separated by the specified delimiter (';' for windows, ':' for UNIX) Note that this method prepends the delimiter to the front of the string.
`static java.lang.String` `createEclipseExtraLaunchPaths(java.util.List<java.lang.String> extraClassPaths)` Create the extra path entries for an Eclipse '.launch' file in XML format.
`static boolean` `isValidModuleName(java.lang.String moduleName)` Returns `true` if `moduleName` is a valid module name.
`static boolean` `validatePathsAndModules(java.lang.String userJar, java.util.List<java.lang.String> pathList, java.util.List<java.lang.String> moduleList)` Check to see that the userJar and pathList files all exist, and that the moduleList entries can be found within the jars.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CreatorUtilities

    public CreatorUtilities()

### Method Detail

#### appendPaths

    public static java.lang.String appendPaths(java.lang.String delimiter,
                                               java.util.List<java.lang.String> paths)

Create a PATH style string separated by the specified delimiter (';' for windows, ':' for UNIX) Note that this method prepends the delimiter to the front of the string. There is an existing path we want to append to.

Parameters:
  `delimiter` - The delimiter string to place between variables.
  `paths` - The list of paths to concatenate together.
Returns:
  the concatenated list of paths as a single string.

#### createEclipseExtraLaunchPaths

    public static java.lang.String createEclipseExtraLaunchPaths(java.util.List<java.lang.String> extraClassPaths)
                                                          throws java.io.FileNotFoundException

Create the extra path entries for an Eclipse '.launch' file in XML format.

Parameters:
  `extraClassPaths` - a list of paths/.jar files to add to the class path
Returns:
  A string formatted to include in the .launch file
Throws:
  `java.io.FileNotFoundException`

#### isValidModuleName

    public static boolean isValidModuleName(java.lang.String moduleName)

Returns `true` if `moduleName` is a valid module name.

#### validatePathsAndModules

    public static boolean validatePathsAndModules(java.lang.String userJar,
                                                  java.util.List<java.lang.String> pathList,
                                                  java.util.List<java.lang.String> moduleList)

Check to see that the userJar and pathList files all exist, and that the moduleList entries can be found within the jars.

Parameters:
  `userJar` - The full path to gwt-user.jar
  `pathList` - A list of jar files to add to the class path.
  `moduleList` - A list of GWT module names to add as 'inherits' tags
Returns:
  `true` if all validations pass.